Index: src/x11/run.cxx
===================================================================
--- src/x11/run.cxx	(revisão 6837)
+++ src/x11/run.cxx	(cópia de trabalho)
@@ -2181,6 +2181,19 @@
     }
     XSetWMHints(xdisplay, x->xid, hints);
     XFree(hints);
+  } else if (window->override()) {
+    // Added hint to set the window type, so Compiz won't be animating
+    // menus or tooltips - everything that has the property override set.
+    // The idea is just to set the property _NET_WM_WINDOW_TYPE with
+    // _NET_NW_WINDOW_TYPE_MENU value.
+    static Atom atom_window_type = 0;
+    if (!atom_window_type)
+      atom_window_type = XInternAtom(xdisplay, "_NET_WM_WINDOW_TYPE", 0);
+    static Atom atom_window_type_menu = 0;
+    if (!atom_window_type_menu)
+      atom_window_type_menu = XInternAtom(xdisplay, "_NET_WM_WINDOW_TYPE_MENU", 0);
+    XChangeProperty(xdisplay, x->xid, atom_window_type, XA_ATOM, 32,
+      PropModeReplace, (uchar*)&atom_window_type_menu, 1);
   }
 }
 
